IF OBJECT_ID('dbo.fco_integrada_rt11') IS NOT NULL
    DROP TABLE dbo.fco_integrada_rt11
GO
CREATE TABLE dbo.fco_integrada_rt11
-- Planilla Integrada Registro Tipo 11
-- Total por Pagar durante el período
(
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    tipo_planilla char(1) NOT NULL DEFAULT 'E',
    pensiones decimal(10) NOT NULL,
    salud decimal(10) NOT NULL,
    riesgos decimal(10) NOT NULL,
    cajas decimal(10) NOT NULL,
    SENA decimal(10) NOT NULL,
    ICBF decimal(10) NOT NULL,
    ESAP decimal(10) NOT NULL,
    MinEducacion decimal(10) NOT NULL,
    Gran_Total AS pensiones + salud + riesgos + cajas + SENA + ICBF + ESAP + MinEducacion,
    conteo_AFP decimal(10) NOT NULL,
    conteo_EPS decimal(10) NOT NULL,
    conteo_ARP decimal(10) NOT NULL,
    conteo_CCF decimal(10) NOT NULL,
    CONSTRAINT pk_fco_integrada_rt11 PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal, tipo_planilla)
)
GO
GRANT ALL ON dbo.fco_integrada_rt11 TO PUBLIC
GO
